Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class CRLReason

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DEREnumerated
                  org.bouncycastle.asn1.x509.CRLReason

All Implemented Interfaces:
  DEREncodable, DERTags

    public class CRLReason

extends DEREnumerated

The CRLReason enumeration.

     CRLReason ::= ENUMERATED {
      unspecified             (0),
      keyCompromise           (1),
      cACompromise            (2),
      affiliationChanged      (3),
      superseded              (4),
      cessationOfOperation    (5),
      certificateHold         (6),
      removeFromCRL           (8),
      privilegeWithdrawn      (9),
      aACompromise           (10)
     }

Field Summary
`static int` | `AA_COMPROMISE` Deprecated. use lower case version
`static int` | `aACompromise`
`static int` | `AFFILIATION_CHANGED` Deprecated. use lower case version
`static int` | `affiliationChanged`
`static int` | `CA_COMPROMISE` Deprecated. use lower case version
`static int` | `cACompromise`
`static int` | `CERTIFICATE_HOLD` Deprecated. use lower case version
`static int` | `certificateHold`
`static int` | `CESSATION_OF_OPERATION` Deprecated. use lower case version
`static int` | `cessationOfOperation`
`static int` | `KEY_COMPROMISE` Deprecated. use lower case version
`static int` | `keyCompromise`
`static int` | `PRIVILEGE_WITHDRAWN` Deprecated. use lower case version
`static int` | `privilegeWithdrawn`
`static int` | `REMOVE_FROM_CRL` Deprecated. use lower case version
`static int` | `removeFromCRL`
`static int` | `superseded`
`static int` | `SUPERSEDED` Deprecated. use lower case version
`static int` | `unspecified`
`static int` | `UNSPECIFIED` Deprecated. use lower case version

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`CRLReason(DEREnumerated reason)`
`CRLReason(int reason)`

Method Summary

Methods inherited from class org.bouncycastle.asn1.DEREnumerated
`equals, getInstance, getInstance, getValue, hashCode`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSPECIFIED

    public static final int UNSPECIFIED

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### KEY_COMPROMISE

    public static final int KEY_COMPROMISE

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### CA_COMPROMISE

    public static final int CA_COMPROMISE

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### AFFILIATION_CHANGED

    public static final int AFFILIATION_CHANGED

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### SUPERSEDED

    public static final int SUPERSEDED

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### CESSATION_OF_OPERATION

    public static final int CESSATION_OF_OPERATION

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### CERTIFICATE_HOLD

    public static final int CERTIFICATE_HOLD

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### REMOVE_FROM_CRL

    public static final int REMOVE_FROM_CRL

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### PRIVILEGE_WITHDRAWN

    public static final int PRIVILEGE_WITHDRAWN

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### AA_COMPROMISE

    public static final int AA_COMPROMISE

  Deprecated. use lower case version
  See Also:
    Constant Field Values

### unspecified

    public static final int unspecified

See Also:
  Constant Field Values

### keyCompromise

    public static final int keyCompromise

See Also:
  Constant Field Values

### cACompromise

    public static final int cACompromise

See Also:
  Constant Field Values

### affiliationChanged

    public static final int affiliationChanged

See Also:
  Constant Field Values

### superseded

    public static final int superseded

See Also:
  Constant Field Values

### cessationOfOperation

    public static final int cessationOfOperation

See Also:
  Constant Field Values

### certificateHold

    public static final int certificateHold

See Also:
  Constant Field Values

### removeFromCRL

    public static final int removeFromCRL

See Also:
  Constant Field Values

### privilegeWithdrawn

    public static final int privilegeWithdrawn

See Also:
  Constant Field Values

### aACompromise

    public static final int aACompromise

See Also:
  Constant Field Values

Constructor Detail

### CRLReason

    public CRLReason(int reason)

### CRLReason

    public CRLReason(DEREnumerated reason)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD